%define gedaexampledir %{_datadir}/gEDA/examples

Name:       geda-examples
Version:    20070216
Release:    2%{?dist}

Summary:    Circuit examples for gEDA
Group:      Applications/Engineering
License:    GPL
URL:        http://www.geda.seul.org

Source:     ftp://ftp.geda.seul.org/pub/geda/devel/%{version}/%{name}-%{version}.tar.gz
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:   geda-gschem
BuildArch:  noarch


%description
This package contains circuit examples for the gEDA project.

%prep

%setup -q
# some files have Windows-type end-of-type encoding.
for f in `find . -name \*.mod -or -name \*.cir -or -name \*.netlist | sort` ;
do
   sed -i -e 's|\r||' $f ;
done

# correcting TwoStageAmp example to fit the geda-spice package
# please note that geda-spice is not provided
# neither geda/gaf nor the fedoraproject due to license restrictions
sed -i  \
's|.INCLUDE /home/sdb/TwoStageAmp/Simulation.cmd|.INCLUDE %{gedaexampledir}/TwoStageAmp/Simulation.cmd|' \
    TwoStageAmp/spice.netlist

sed -i -e \
's|file=./models/2N3904.mod|file=%{_datadir}/gEDA/models/bjt/2N3904.mod|' \
    TwoStageAmp/TwoStageAmp.sch

sed -i -e \
's|file=Simulation.cmd|file=%{gedaexampledir}/TwoStageAmp/Simulation.cmd|' \
    TwoStageAmp/TwoStageAmp.sch


%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} INSTALL="install -p" install DESTDIR=%{buildroot}

#the above installs nothing, do this again manually
%{__install} -d %{buildroot}%{gedaexampledir}/lightning_detector/
%{__rm} lightning_detector/Makefile*
%{__rm} lightning_detector/sym/Makefile*
%{__cp} -pr lightning_detector/ %{buildroot}%{gedaexampledir}/


install -d %{buildroot}%{gedaexampledir}/gTAG
%{__rm} gTAG/Makefile*
%{__cp} -pr gTAG/ %{buildroot}%{gedaexampledir}/


install -d %{buildroot}%{gedaexampledir}/TwoStageAmp/
%{__rm} TwoStageAmp/Makefile*
%{__rm} TwoStageAmp/sym/Makefile*
%{__cp} -pr TwoStageAmp/ %{buildroot}%{gedaexampledir}/


install -d %{buildroot}%{gedaexampledir}/RF_Amp/
%{__rm} RF_Amp/Makefile*
%{__rm} RF_Amp/model/Makefile*
%{__rm} RF_Amp/sym/Makefile*
%{__cp} -pr RF_Amp/ %{buildroot}%{gedaexampledir}/

# removed duplicates
%{__rm} -rf %{buildroot}%{_docdir}/geda-doc/

%clean
%{__rm} -rf %{buildroot}

# geda-symbols is the Owner of the following directories
#%dir %{_datadir}/gEDA/bitmap
#%dir %{_datadir}/gEDA/docs
#%dir %{_datadir}/gEDA/docs/readmes
#%dir %{_datadir}/gEDA/docs/man
#%dir %{_datadir}/gEDA/examples
#%dir %{_datadir}/gEDA/scheme

# libgeda is the Owner of the following directories
#%dir %{_datadir}/gEDA

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{gedaexampledir}/lightning_detector
%{gedaexampledir}/gTAG
%{gedaexampledir}/TwoStageAmp
%{gedaexampledir}/RF_Amp

%Changelog
* Sun Apr 01 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-2
- TwoStageAmp bug fixes

* Wed Mar 28 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 20070216-1
- new upstream release on 2007 02 16

* Thu Nov 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061020-1
- New upstream release

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20061006-2
- Rebuilt for FC-6 devel

* Sun Sep 10 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060906-1
- Upstream release 20060906

* Wed Sep 06 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-4
- Corrected stupid mistake "Encoded some files properly at %%setup"

* Tue Sep 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-3
- Corrected stupid mistake "Encoded some files properly at %%setup"

* Tue Sep 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-2
- Encoded some files properly at %%prep

* Tue Sep 05 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060824-1
- Upstream release 20060824

* Sat Sep 02 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-4
- Fixed ownership of directories

* Mon Aug 28 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 20060123-3
- rebuilt for FC5 and later with minor fixes

* Wed Feb 22 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-2.fc4
- more cleanup

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Sun Jul 3 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228

* Sun Dec 12 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1
- updated to version 20040111, built on Fedora Core 1
- modified specfile

* Thu Sep 4 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030901-1
- updated to version 20030901

* Wed May 28 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030525-1
- initialization of spec file, version 20030525, compiled on RedHat 9

# end of file
